DiscoveryTransportChannelFactorySupport (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.DiscoveryTransportChannelFactorySupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class DiscoveryTransportChannelFactorySupport

    java.lang.Object
      org.codehaus.activemq.transport.composite.CompositeTransportChannelFactory
          org.codehaus.activemq.transport.DiscoveryTransportChannelFactorySupport

All Implemented Interfaces:
  TransportChannelFactory

Direct Known Subclasses:
  ZeroconfTransportChannelFactory

public abstract class DiscoveryTransportChannelFactorySupport
extends CompositeTransportChannelFactory

Version:
  $Revision: 1.1 $

Constructor Summary
`DiscoveryTransportChannelFactorySupport()`

Method Summary
`TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation)` Create a Channel to a remote Node - e.g.
`protected abstract DiscoveryAgent` | `createDiscoveryAgent(URI remoteLocation)`
`DiscoveryAgent` | `getDiscoveryAgent()`
`void` | `setDiscoveryAgent(DiscoveryAgent discoveryAgent)`

Methods inherited from class org.codehaus.activemq.transport.composite.CompositeTransportChannelFactory
`create, parseURIs, randomizeURIs, requiresEmbeddedBroker, stripLeadingSlashes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscoveryTransportChannelFactorySupport

    public DiscoveryTransportChannelFactorySupport()

Method Detail

### create

    public TransportChannel create(WireFormat wireFormat,
                                   URI remoteLocation)
                            throws JMSException

  Description copied from interface: `TransportChannelFactory`
  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Overrides:
    `create` in class `CompositeTransportChannelFactory`
  Throws:
    `JMSException`

### getDiscoveryAgent

    public DiscoveryAgent getDiscoveryAgent()

### setDiscoveryAgent

    public void setDiscoveryAgent(DiscoveryAgent discoveryAgent)

### createDiscoveryAgent

    protected abstract DiscoveryAgent createDiscoveryAgent(URI remoteLocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.